%define anolis_release 1
%global pypi_name mdtex2html
%global pypi_version 1.3.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        library to convert Markdown with included LaTeX-Formulas to HTML with MathML

License:        LGPLv2+
URL:            https://github.com/polarwinkel/mdtex2html
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(latex2mathml)
BuildRequires:  python3dist(markdown)
BuildRequires:  python3dist(setuptools)
Requires:       python3dist(latex2mathml)
Requires:       python3dist(markdown)

%description
library to convert Markdown with included LaTeX-Formulas to HTML with MathML

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
library to convert Markdown with included LaTeX-Formulas to HTML with MathML


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info


%changelog
* Mon Apr 15 2024 Shenglong Zhu <shenglongzhu@linux.alibaba.com> - 1.3.0-1
- Initial package.
